Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Compatibility Members for QSpinBox

The following class members are part of the Qt 3 compatibility layer. They are provided to help you port old code to Qt 4. We strongly advise against using them in new code.

QSpinBox class reference

### Public Functions

- QSpinBox ( QWidget * parent, const char * name )
- QSpinBox ( int min, int max, int step, QWidget * parent, const char * name = 0 )
- int maxValue () const
- int minValue () const
- void setLineStep ( int step )
- void setMaxValue ( int val )
- void setMinValue ( int val )

## Member Function Documentation

### QSpinBox::QSpinBox ( QWidget * parent, const char * name )

Use one of the constructors that doesn't take the name argument and then use setObjectName() instead.

### QSpinBox::QSpinBox ( int min, int max, int step, QWidget * parent, const char * name = 0 )

Use one of the constructors that doesn't take the name argument and then use setObjectName() instead.

### int QSpinBox::maxValue () const

Use maximum() instead.

### int QSpinBox::minValue () const

Use minimum() instead.

### void QSpinBox::setLineStep ( int step )

Use setSingleStep() instead.

### void QSpinBox::setMaxValue ( int val )

Use setMaximum() instead.

### void QSpinBox::setMinValue ( int val )

Use setMinimum() instead.